const main = [
  {
    id: 0,
    name: 'DD-1',
    start: '2024-11-15',
    end: '2024-11-21',
    children: [
      {
        id: 1,
        name: '事件-1-1',
        start: '2024-11-15',
        end: '2024-11-17',
        children: [
          {
            id: 122,
            name: '发射',
            start: '2024-11-15',
            end: '2024-11-17',
            type: 'DD',
            avatar:
              'https://lf9-dp-fe-cms-tos.byteorg.com/obj/bit-cloud/VTable/custom-render/wolf.jpg',
          },
        ],
      },
      {
        id: 2,
        name: '事件-1-2',
        start: '2024-11-17',
        end: '2024-11-18',
      },
      {
        id: 3,
        name: '事件-1-3',
        start: '2024-11-19',
        end: '2024-11-20',
      },
      {
        id: 4,
        name: '事件-1-4',
        start: '2024-11-18',
        end: '2024-11-19',
      },
    ],
  },
  {
    id: 300,
    name: 'DD-2',
    children: [
      {
        id: 5,
        name: '事件-2-1',
        start: '2024-11-18',
        end: '2024-11-21',
      },
    ],
  },
  {
    name: 'DD-3',
    children: [
      {
        id: 6,
        name: '事件-3-1',
        start: '2024-11-21',
        end: '2024-11-22',
      },
      {
        id: 7,
        name: '事件-3-2',
        start: '2024-11-18',
        end: '2024-11-19',
      },
    ],
  },

  {
    name: 'DD-4',
    children: [
      {
        id: 8,
        name: '事件-4-1',
        start: '2024-11-20',
        end: '2024-11-21',
      },
      {
        id: 9,
        name: '事件-4-2',
        start: '2024-11-25',
        end: '2024-11-26',
      },
      {
        id: 10,
        name: '事件-4-3',
        start: '2024-11-17',
        end: '2024-11-18',
      },
      {
        id: 11,
        name: '事件-4-4',
        start: '2024-11-22',
        end: '2024-11-25',
      },
      {
        id: 12,
        name: '事件-4-5',
        start: '2024-11-23',
        end: '2024-11-24',
      },
    ],
  },
  {
    name: 'DD-5',
    children: [
      {
        id: 13,
        name: '事件-5-1',
        start: '2024-11-22',
        end: '2024-11-25',
      },
      {
        id: 14,
        name: '事件-5-2',
        start: '2024-11-27',
        end: '2024-11-30',
      },
      {
        id: 15,
        name: '事件-5-3',
        start: '2024-12-10',
        end: '2024-12-18',
      },
    ],
  },
  {
    name: 'DD-6',
    children: [
      {
        id: 16,
        name: '事件-6-1',
        start: '2024-11-20',
        end: '2024-11-30',
      },
      {
        id: 17,
        name: '事件-6-2',
        start: '2024-12-02',
        end: '2024-12-18',
      },
    ],
  },
  {
    name: 'DD-7',
    children: [
      {
        id: 18,
        name: '事件-7-1',
        start: '2024-12-22',
        end: '2024-12-28',
      },
    ],
  },
  {
    name: 'DD-8',
    children: [
      {
        id: 19,
        name: '事件-8-1',
        start: '2024-11-25',
        end: '2024-11-30',
      },
      {
        id: 20,
        name: '事件-8-2',
        start: '2024-12-01',
        end: '2024-12-18',
      },
    ],
  },
]

const sub = [
  {
    id: 0,
    name: 'DD',
    start: '2024-11-15',
    end: '2024-11-21',
    children: [
      {
        id: 1,
        name: '发射',
        start: '2024-11-15',
        end: '2024-11-17',
        avatar:
          'https://lf9-dp-fe-cms-tos.byteorg.com/obj/bit-cloud/VTable/custom-render/wolf.jpg',
      },
      {
        id: 2,
        name: '脱离-1',
        start: '2024-11-17',
        end: '2024-11-18',
        avatar:
          'https://lf9-dp-fe-cms-tos.byteorg.com/obj/bit-cloud/VTable/custom-render/bear.jpg',
      },
      {
        id: 3,
        name: '脱离-2',
        start: '2024-11-19',
        end: '2024-11-20',
        avatar:
          'https://lf9-dp-fe-cms-tos.byteorg.com/obj/bit-cloud/VTable/custom-render/bear.jpg',
      },
      {
        id: 4,
        name: '落地',
        start: '2024-11-21',
        end: '2024-11-21',
        avatar:
          'https://lf9-dp-fe-cms-tos.byteorg.com/obj/bit-cloud/VTable/custom-render/wolf.jpg',
      },
    ],
  },
  {
    id: 300,
    name: '飞机',
    children: [
      {
        id: 5,
        name: '起飞',
        start: '2024-11-18',
        end: '2024-11-21',
        avatar:
          'https://lf9-dp-fe-cms-tos.byteorg.com/obj/bit-cloud/VTable/custom-render/rabbit.jpg',
      },
    ],
  },
  {
    name: '舰船',
    children: [
      {
        id: 6,
        name: '停留',
        start: '2024-11-21',
        end: '2024-11-22',
        avatar:
          'https://lf9-dp-fe-cms-tos.byteorg.com/obj/bit-cloud/VTable/custom-render/cat.jpg',
      },
      {
        id: 7,
        name: '扫描',
        start: '2024-11-18',
        end: '2024-11-19',
        avatar:
          'https://lf9-dp-fe-cms-tos.byteorg.com/obj/bit-cloud/VTable/custom-render/flower.jpg',
      },
    ],
  },

  {
    name: '航J',
    children: [
      {
        id: 8,
        name: '航J事件',
        start: '2024-11-20',
        end: '2024-11-21',
        avatar:
          'https://lf9-dp-fe-cms-tos.byteorg.com/obj/bit-cloud/VTable/custom-render/bear.jpg',
      },
      {
        id: 9,
        name: '航J事件-2',
        start: '2024-11-25',
        end: '2024-11-26',
        avatar:
          'https://lf9-dp-fe-cms-tos.byteorg.com/obj/bit-cloud/VTable/custom-render/wolf.jpg',
      },
    ],
  },
  {
    name: 'xx',
    children: [
      {
        id: 13,
        name: 'xx-事件-1',
        start: '2024-11-22',
        end: '2024-11-25',

        avatar:
          'https://lf9-dp-fe-cms-tos.byteorg.com/obj/bit-cloud/VTable/custom-render/rabbit.jpg',
      },
      {
        id: 14,
        name: 'xx-事件-2',
        start: '2024-11-27',
        end: '2024-11-30',
        avatar:
          'https://lf9-dp-fe-cms-tos.byteorg.com/obj/bit-cloud/VTable/custom-render/cat.jpg',
      },
    ],
  },
]

const task = [
  {
    id: 1,
    name: '任务-1',
    type: 'task',
    children: main,
  },
]

export function getMainGantt(data = {}) {
  return new Promise((resolve, reject) => {
    setTimeout(() => {
      resolve(main)
    }, 1000)
  })
}

export function getSubGantt(subId) {
  return new Promise((resolve, reject) => {
    setTimeout(() => {
      resolve(sub)
    }, 1000)
  })
}

export function getTask() {
  return new Promise((resolve, reject) => {
    setTimeout(() => {
      resolve(task)
    }, 1000)
  })
}
